
Figure - Bug #118198
【IOVDEV-30006】【内部】【VC1】【0095】【台架】【EE环境】【副屏】【文件管理】AVI格式视频打开画
面全黑
2023-05-23 20:55 - CDTS_Test 吴诗雨

Status: CLOSED Start date: 2023-05-23

Priority: Normal Due date:

Assignee: CDTS_Test 吴诗雨 % Done: 100%

Category: CD-APP Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 【副屏版本号】：01.00.0095.C103��【中控版本号】：03.02.0080.C101.03_userdebug_2305121121

Resolution: FIXED Degrated: --

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version: 2023-05-26

Test Type: ST Root cause: AOSP问题

Description

【环境信息】：EE环境

【问题出现时间】：20230523 16：46,第49次开机

https://ofs.human-horizons.com/#/download/index/phncSGOw9B0%3D

【前提条件】：push到movies文件夹AVI格式视频

【操作步骤】：1.打开文件管理-视频-Movies

2.点击视频，打开方式选择图库

【实际结果】

avi 格式视频打开后无画面，黑屏

https://ofs.human-horizons.com/#/download/index/Gkae1hftU3I%3D

【期望结果】

正常播放

【备注】：副屏选择打开方式为腾讯视频可正常播放；该视频使用Honor Pad7 可正常播放

请确认哪些应用可折叠，哪些应用因第三方问题不支持折叠

【硬件版本号】：/

【副屏版本号】：01.00.0095.C103

【中控版本号】：03.02.0080.C101.03_userdebug_2305121121

【VIN】HRYTTESTVINMGM403

History

#1 - 2023-05-23 20:56 - CDTS_Test 吴诗雨

ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/Bug_118198

#2 - 2023-05-24 17:04 - 物联网项目组-RD3_CDTS 周飞

- File AVishipin.mp4 added

#3 - 2023-05-24 18:12 - CD APP-王营

- Status changed from New to ASSIGNED

【状态】

分析中

2025-07-04 1/4

https://ofs.human-horizons.com/#/download/index/phncSGOw9B0%3D
https://ofs.human-horizons.com/#/download/index/Gkae1hftU3I%3D
ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/Bug_118198


【分析】

1.我们自己的AVI格式的视频可以正常播放，视频信息如下

General

Complete name                            : 33333.avi

Format                                   : MPEG-4

Format profile                           : QuickTime

Codec ID                                 : qt   0000.02 (qt  )

File size                                : 63.8 MiB

Duration                                 : 2 min 5 s

Overall bit rate mode                    : Variable

Overall bit rate                         : 4 267 kb/s

Movie name                               : "Tangled - Trailer

Performer                                : Yahoo! Movies

Writing application                      : Lavf58.29.100

Copyright                                : �0�8 2010, Walt Disney Pictures

FileExtension_Invalid                    : mov mp4 m4v m4a m4b m4p 3ga 3gpa 3gpp 3gp 3gpp2 3g2 k3g jpm jpx mqv ismv isma ismt f4a f4b f4v

Video

ID                                       : 1

Format                                   : AVC

Format/Info                              : Advanced Video Codec

Format profile                           : High@L4

Format settings                          : CABAC / 4 Ref Frames

Format settings, CABAC                   : Yes

Format settings, ReFrames                : 4 frames

Codec ID                                 : avc1

Codec ID/Info                            : Advanced Video Coding

Duration                                 : 2 min 5 s

Bit rate                                 : 4 170 kb/s

Width                                    : 1 920 pixels

Height                                   : 1 080 pixels

Display aspect ratio                     : 16:9

Frame rate mode                          : Constant

Frame rate                               : 24.000 FPS

Color space                              : YUV

Chroma subsampling                       : 4:2:0

Bit depth                                : 8 bits

Scan type                                : Progressive

Bits/(Pixel*Frame)                       : 0.084

Stream size                              : 61.9 MiB (97%)

Writing library                          : x264 core 157

Encoding settings                        : cabac=1 / ref=3 / deblock=1:0:0 / analyse=0x3:0x113 / me=hex / subme=7 / psy=1 / psy_rd=1.00:0.00 / mixed_ref=1 / me_range=16 /

chroma_me=1 / trellis=1 / 8x8dct=1 / cqm=0 / deadzone=21,11 / fast_pskip=1 / chroma_qp_offset=-2 / threads=6 / lookahead_threads=1 / sliced_threads=0 / nr=0 /

decimate=1 / interlaced=0 / bluray_compat=0 / constrained_intra=0 / bframes=3 / b_pyramid=2 / b_adapt=1 / b_bias=0 / direct=1 / weightb=1 / open_gop=0 / weightp=2

/ keyint=250 / keyint_min=24 / scenecut=40 / intra_refresh=0 / rc_lookahead=40 / rc=abr / mbtree=1 / bitrate=4170 / ratetol=1.0 / qcomp=0.60 / qpmin=0 / qpmax=69 /

qpstep=4 / ip_ratio=1.40 / aq=1:1.00

Language                                 : English

客户提供的AVI视频播放有声音，画面黑屏，视频信息如下：

General

Complete name                            : a.Nobody _720X480.avi

Format                                   : AVI

Format/Info                              : Audio Video Interleave
File size                                : 64.1 MiB

Duration                                 : 3 min 32 s

Overall bit rate                         : 2 531 kb/s

Writing application                      : MEncoder SVN-r29352(20090610-gcc4.3.3)

Writing library                          : MPlayer

Video

ID                                       : 0

Format                                   : MPEG-4 Visual

Format profile                           : Advanced Simple@L5

Format settings                          : BVOP2

Format settings, BVOP                    : 2

Format settings, QPel                    : No

Format settings, GMC                     : No warppoints

Format settings, Matrix                  : Default (H.263)

Codec ID                                 : XVID

Codec ID/Hint                            : XviD

Duration                                 : 3 min 32 s

Bit rate                                 : 2 390 kb/s

Width                                    : 720 pixels

Height                                   : 480 pixels

Display aspect ratio                     : 3:2

Original display aspect ratio            : 3:2

Frame rate                               : 30.000 FPS

Color space                              : YUV

Chroma subsampling                       : 4:2:0

Bit depth                                : 8 bits

Scan type                                : Progressive

Compression mode                         : Lossy

Bits/(Pixel*Frame)                       : 0.231

Stream size                              : 60.6 MiB (94%)

Writing library                          : XviD 1.2.1 (UTC 2008-12-04)

Audio

ID                                       : 1

Format                                   : MPEG Audio

Format version                           : Version 1

Format profile                           : Layer 3

Format settings                          : Joint stereo / MS Stereo

Codec ID                                 : 55

Codec ID/Hint                            : MP3

Duration                                 : 3 min 32 s

Bit rate mode                            : Constant

Bit rate                                 : 128 kb/s

Channel(s)                               : 2 channels

其中两种AVI视频的Video Format有差异

客户：MPEG-4 Visual

我们：AVC

【下一步】

1、确认8250芯片是否支持 MPEG-4 Visual格式视频解码？

2、是否在视频解码过程中出现异常。
3、对比了原生平板，客户提供的视频文件，在联想平板上使用gallery播放现象相同，黑屏但是有声音。

#4 - 2023-05-25 19:52 - CD APP-王宏

- % Done changed from 0 to 50

■ Current conclusion

已提交

■ My analysis

根据需求，在不支持的视频格式时，需要提示 

系统中暂无支持打开该格式的应用，请下载专用软件打开

■Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Gallery2/+/202703

#5 - 2023-05-25 20:48 - CD APP-王宏

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD APP-王营 to CDTS_Test 吴诗雨

- % Done changed from 50 to 100

- Resolution changed from -- to FIXED

- Fixed Version set to 2023-05-26

- Root cause set to AOSP问题

#6 - 2023-06-02 18:17 - CDTS_Test 吴诗雨

- Status changed from RESOLVED to VERIFIED

已同步，本地验证通过

#7 - 2023-06-02 18:17 - CDTS_Test 吴诗雨

- Status changed from VERIFIED to CLOSED

Files

AVishipin.mp4 33.2 MB 2023-05-23 CDTS_Test 吴诗雨

AVishipin.mp4 33.2 MB 2023-05-24 物联网项目组-RD3_CDTS 周飞
